// 
// sussen-applet - SummaryDialog.cs
// Author: Loren Bandiera
// Copyright 2005 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using Gtk;
//using Gecko;

namespace Sussen.Applet
{
	public class SummaryDialog
	{
		private Glade.XML ui;
		
		[Glade.Widget] Gtk.Dialog resultsDialog;
//		[Glade.Widget] Gtk.VBox wcVBox;
	
		public SummaryDialog (string resultsFileName)
		{
			ui = Glade.XML.FromAssembly ("sussen-applet.glade", "resultsDialog", null);
			ui.Autoconnect (this);

//			UriBuilder ub = new UriBuilder (resultsFileName);
//			WebControl wc = new WebControl ("/tmp/sussen", "SussenApplet");
//			wc.LoadUrl (ub.ToString());
//			wc.Show ();
//			
//			wcVBox.PackStart (wc, true, true, 1);
	
			resultsDialog.Icon = Gdk.Pixbuf.LoadFromResource ("sussen-icon.png");
			resultsDialog.Resize (640, 480);
			resultsDialog.Run ();	
			resultsDialog.Destroy ();
		}
	}
}