<?php

require_once 'config.php';
require_once 'db.php';

switch ($_REQUEST['action']) {

case "delete-agent":

	$agent = new DataObjects_Agent;
	$agent->get ($_REQUEST['agent']);
	$res = $agent->delete ();
	
	echo "messageDiv||";

	if ($res == FALSE) {
		echo "Error: Could not delete agent.";
	} else {
		echo "Successfully deleted agent.";
	}

	break;

case "delete-scan":

	$scan = new DataObjects_Scan;
	$scan->get ($_REQUEST['id']);
	$res = $scan->delete ();

	echo "messageDiv||";

	if ($res == FALSE) {
		echo "Error: Could not delete scan results.";
	} else {
		echo "Successfully deleted scan results.";
	}

	break;

case "get-agent-list":

	echo "agentDiv||";

	$agents = new DataObjects_Agent;
	$agents->query("SELECT * FROM {$agents->__table}");

	echo "<h2>agents</h2><p>\n";
	echo "<table border='1' cellpadding='5' cellspacing'5'>\n";
	echo "<tr><th>Delete</th><th>Hostname</th></tr>\n";

	while ($agents->fetch()) {
           echo "<tr><td><input type=\"checkbox\" name=\"$agents->name\" onClick=\"javascript:deleteAgent('$agents->id'); \"></td><td><a href=\"javascript:getScans('$agents->id');\">$agents->name</a></td></tr>";
        }

	echo "</table>\n";

	break;

case "get-agent-scans":

	echo "scanDiv||";

	$result = new DataObjects_Scan;
	$result->agent = $_REQUEST['agent'];
	$num = $result->find ();

	echo "<h2>scans</h2><p>";
	echo "<table border='1' cellpadding='5' cellspacing'5'>";
	echo "<tr><th>Delete</th><th>HTML report</th><th>Scan Date</th></tr>";

	while ($result->fetch()) {
	   echo "<tr><td><input type=\"checkbox\" name=\"$result->name\" onClick=\"javascript:deleteScan('$result->id'); \"></td><td><a href='scan.php?id=$result->id'>view</a></td><td>$result->created</td></tr>";
	}

	echo "</table>\n";
	break;

case "search-by-reference":
	echo "searchDiv||";

	$needle = $_REQUEST['reference'];
	$isOVAL = ( strstr ($needle, 'OVAL') == $needle);

	$result = new DataObjects_DefinitionResult;

	if ($isOVAL) {
		$result->oval_id = $needle;
	} else {
		$result->reference = $needle;
	}

	$num = $result->find ();

	echo "<h2>search results</h2><p>";
	echo "<table border='1' cellpadding='5' cellspacing'5'>";
	echo "<tr><th>Hostname</th><th>OVAL ID</th><th>Class type</th><th>Affected family</th><th>Affected product</th><th>Description</th><th>Reference</th><th>Result</th></tr>";

	while ($result->fetch()) {
	   $scan = new DataObjects_Scan;
	   $scan->get ($result->scan_id);

           $agent = new DataObjects_Agent;
           $agent->get ($scan->agent);

	   echo "<tr><td>$agent->name</td><td>$result->oval_id</td><td>$result->class_type</td><td>$result->affected_family</td><td>$result->affected_product</td><td>$result->description</td><td>$result->reference</td><td>$result->criteria_result</td></tr>";
	}

	echo "</table>\n";

	break;

case "vulnerabilities-by-host":
	echo "vulDiv||";

	$results = new DataObjects_DefinitionResult;
	$results->query("SELECT * FROM {$results->__table} WHERE class_type='vulnerability' AND criteria_result=1 ORDER BY agent_id");

	echo "<h2>vulnerabilities by host</h2><p>";
	echo "<table border='1' cellpadding='5' cellspacing'5'>";
	echo "<tr><th>Hostname</th><th>OVAL ID</th><th>Class type</th><th>Affected family</th><th>Affected product</th><th>Description</th><th>Reference</th><th>Result</th></tr>";

	while ($results->fetch()) {
           $agent = new DataObjects_Agent;
           $agent->get ($results->agent_id);

	   echo "<tr><td>$agent->name</td><td>$results->oval_id</td><td>$results->class_type</td><td>$results->affected_family</td><td>$results->affected_product</td><td>$results->description</td><td>$results->reference</td><td>$results->criteria_result</td></tr>";
	}

	echo "</table>\n";

	break;

case "vulnerabilities-by-platform":
	echo "vulDiv||";

	$results = new DataObjects_DefinitionResult;
	$results->query("SELECT * FROM {$results->__table} WHERE class_type='vulnerability' AND criteria_result=1 ORDER BY affected_family");

	echo "<h2>vulnerabilities by platform</h2><p>";
	echo "<table border='1' cellpadding='5' cellspacing'5'>";
	echo "<tr><th>Affected family</th><th>Hostname</th><th>OVAL ID</th><th>Class type</th><th>Affected product</th><th>Description</th><th>Reference</th><th>Result</th></tr>";

	while ($results->fetch()) {
           $agent = new DataObjects_Agent;
           $agent->get ($results->agent_id);

	   echo "<tr><td>$results->affected_family</td><td>$agent->name</td><td>$results->oval_id</td><td>$results->class_type</td><td>$results->affected_product</td><td>$results->description</td><td>$results->reference</td><td>$results->criteria_result</td></tr>";
	}

	echo "</table>\n";

	break;

case "vulnerabilities-by-product":
	echo "vulDiv||";

	$results = new DataObjects_DefinitionResult;
	$results->query("SELECT * FROM {$results->__table} WHERE class_type='vulnerability' AND criteria_result=1 ORDER BY affected_product");

	echo "<h2>vulnerabilities by product</h2><p>";
	echo "<table border='1' cellpadding='5' cellspacing'5'>";
	echo "<tr><th>Affected product</th><th>Hostname</th><th>OVAL ID</th><th>Class type</th><th>Affected family</th><th>Description</th><th>Reference</th><th>Result</th></tr>";

	while ($results->fetch()) {
           $agent = new DataObjects_Agent;
           $agent->get ($results->agent_id);

	   echo "<tr><td>$results->affected_product</td><td>$agent->name</td><td>$results->oval_id</td><td>$results->class_type</td><td>$results->affected_family</td><td>$results->description</td><td>$results->reference</td><td>$results->criteria_result</td></tr>";
	}

	echo "</table>\n";

	break;
}

?>
