// 
// sussen-applet - Dbus.cs
// Author: Loren Bandiera
// Copyright 2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;

namespace Sussen.Applet
{
	[DBus.Interface ("com.mmgsecurity.sussen.RemoteControl")]
	public abstract class RemoteControlProxy
	{
		public const string Path = "/com/mmgsecurity/sussen/RemoteControl";
		public const string Namespace = "com.mmgsecurity.sussen";

		[DBus.Method]
		public abstract void DisplayScanDialog ();
	}
	
	public class RemoteControl : RemoteControlProxy
	{
		public RemoteControl ()
		{
		}

		public override void DisplayScanDialog ()
		{
			new ActionDialog (ActionDialogType.Scan);
		}
	}
}