<?php

class DataObjects_Agent extends DB_DataObject {

   var $__table='agents';
   var $id;
   var $name;

   function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DataObjects_Agent',$k,$v); }

   function table() {
        return array(
            'id'     => DB_DATAOBJECT_STR,
            'name'   => DB_DATAOBJECT_STR,
        );
    }

   function keys() {
      return array ('id');
   }
}

class DataObjects_Scan extends DB_DataObject {

   var $__table='scans';
   var $id;
   var $name;

   function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DataObjects_Scan',$k,$v); }

   function table() {
        return array(
            'id'      => DB_DATAOBJECT_INT,
            'agent'   => DB_DATAOBJECT_STR,
            'created' => DB_DATAOBJECT_STR + DB_DATAOBJECT_DATE + DB_DATAOBJECT_TIME,
        );
    }

   function keys() {
      return array ('id');
   }
}

class DataObjects_DefinitionResult extends DB_DataObject {

   var $__table='definition_results';
   var $scan_id;
   var $agent_id;
   var $oval_id;
   var $class_type;
   var $affected_family;
   var $affected_product;
   var $description;
   var $reference;
   var $reference_source;
   var $criteria_result;

   function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DataObjects_DefinitionResult',$k,$v); }

   function table() {
        return array(
            'scan_id'      => DB_DATAOBJECT_INT,
	    'agent_id'   => DB_DATAOBJECT_STR,
            'oval_id'    => DB_DATAOBJECT_STR,
            'class_type'    => DB_DATAOBJECT_STR,
            'affected_family'    => DB_DATAOBJECT_STR,
            'affected_product'    => DB_DATAOBJECT_STR,
            'description'    => DB_DATAOBJECT_STR,
            'reference'    => DB_DATAOBJECT_STR,
            'reference_source'    => DB_DATAOBJECT_STR,
            'criteria_result'    => DB_DATAOBJECT_INT,
        );
    }

   function keys() {
      return array ('');
   }
}

class DataObjects_XmlResult extends DB_DataObject {

   var $__table='xml_results';
   var $scan_id;
   var $data;

   function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DataObjects_XmlResult',$k,$v); }

   function table() {
        return array(
            'scan_id' => DB_DATAOBJECT_INT,
            'data'    => DB_DATAOBJECT_STR,
        );
    }

   function keys() {
      return array ('');
   }
}

?>
